Follow

Info: Deprecation of Entrust.net ECS SOAP API

Applies to:

All versions of Venafi Trust Protection Platform (TPP) up to 19.3.  Does not apply to 19.4 and higher.

Summary:

On Feb 14 2019, Entrust.net made the following announcement which is causing some concern with Entrust users:

"The Entrust Certificate Services team announced the release of the ECS REST API into production on January 25, 2019, with the 12.6 release. With this release, we have deprecated the ECS SOAP API, with plans to completely decommission it by January 31, 2020.

We recommend that you plan your integration with the REST API as soon as possible. Should you have any questions, please contact your Entrust Datacard account or technical representative.”

More Information

The Entrust.net CA driver in Venafi TPP versions 19.3 and earlier uses the SOAP API endpoint for enrollment https://ws-managed.entrust.net/ws/cms.cfc.

With the release of Venafi Trust Protection Platform 19.4, the Entrust.NET CA Driver has been rebranded to  Entrust Certificates Services and updated to use the Entrust REST API, as well as other features.

Please plan on upgrading to prevent a disruption in your certificate enrollment with your Venafi products.

 

 

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments